using System;

namespace CodeMerger.Models;

public class LogMessage
{
    public string Message { get; private set; }
    public LogLevel Level { get; private set; }
    public DateTime Timestamp { get; private set; }

    public LogMessage(string message, LogLevel level)
    {
        Message = message;
        Level = level;
        Timestamp = DateTime.Now;
    }
}

public enum LogLevel
{
    Info,
    Warning,
    Error,
    Debug
}
